"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.userGet = void 0;

var _tokenService = require("../../services/token-service");

/* eslint-disable import/prefer-default-export */
const userGet = async (event, _context, callback) => {
  try {
    const {
      headers
    } = event;
    const token = headers.Authorization;
    const tokenService = new _tokenService.TokenService(token);
    const result = await tokenService.validateToken();
    const response = {
      statusCode: 500,
      body: JSON.stringify(result)
    };
    return callback(null, response);
  } catch (error) {
    const response = {
      statusCode: 500,
      body: JSON.stringify(error)
    };
    return callback(null, response);
  }
};

exports.userGet = userGet;